Berkeley DB version 4.5.20

## com.sleepycat.db
Interface EventHandler

    public interface EventHandler

An interface specifying a callback function to be called when an event is sent from the Berkeley DB library.

Method Summary
`int` `handleEvent(EventType event)` A callback function to be called when an event is sent from the Berkeley DB library.

Method Detail

### handleEvent

    int handleEvent(EventType event)

  A callback function to be called when an event is sent from the Berkeley DB library.

  The `EnvironmentConfig.setEventHandler` is used to provide a mechanism for reporting event messages from the Berkeley DB library to the application.

  Berkeley DB is not re-entrant. Callback functions should not attempt to make library calls (for example, to release locks or close open handles). Re-entering Berkeley DB is not guaranteed to work correctly, and the results are undefined.

  See the `EventType` class for information on the specific types of events that might be received by the handleEvent callback.

  Parameters:
    `event` - The event object, containing information about the type of event that is being reported.

Berkeley DB version 4.5.20

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.